#include <iostream.h>

#include "twister.h" 

int main(int argc, char **argv)
{
  manifold M("Fred"); 

  // A program to put twister.c through its paces:
  // it uses twohandle() and twist() in every
  // possible configuration.

  square s[4] = {square(M), square(M),
                 square(M), square(M)};

  annulus a(-s[0] >> +s[1] >> +s[2] >> -s[3]);
  annulus b(+s[0] >> +s[3] >> -s[1] >> -s[2]);

  a.twohandle(above); 
  b.twohandle(below);

  M.capoff();

  a.twist(plus);
  b.twist(plus);
  a.twist(minus);
  b.twist(minus);

  M.snap_print(cout);
  return 0;
}
